## gexiv2 0.10.3

=== debian/changelog ===
gexiv2 (0.10.3-2) unstable; urgency=medium

  [ Martin Pitt ]
  * debian/tests/gir.smoketest:
     - Explicitly require GIR module version to avoid a warning on
       stderr (Closes: #803044).
     - Also rewrite to use python directly, instead of an unnecessary
       shell wrapper.

  [ Pino Toscano ]
  * debian/rules:
    - Enable parallel building (Closes: #802273).

  [ Luca Falavigna ]
  * debian/control:
    - Debian Shotwell Maintainers team does not really exist anymore,
      remove it from Maintainer, set myself as Maintainer (ad interim).
    - Remove XS-Testsuite field, no longer necessary.
  * debian/libgexiv2-2.symbols:
    - Refresh symbols file to include new cxx11 symbols.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 13 Dec 2015 11:18:52 +0100

gexiv2 (0.10.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/libgexiv2-2.symbols:
    - Refresh symbols file.
  * debian/rules:
    - Adjust dh_makeshlibs call.

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 01 May 2015 16:33:29 +0200

=== debian/control ===
Source: gexiv2
Section: libs
Priority: optional
Maintainer: Luca Falavigna <dktrkranz@debian.org>
Uploaders: Devid Antonio Filoni <d.filoni@ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libtool-bin,
               libglib2.0-dev,
               libexiv2-dev (>= 0.21),
               gobject-introspection,
               libgirepository1.0-dev,
               python-gi,
               python3-gi
Standards-Version: 3.9.6
Homepage: https://wiki.gnome.org/Projects/gexiv2

Package: libgexiv2-2
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: shotwell (<< 0.12)
Multi-Arch: same
Description: GObject-based wrapper around the Exiv2 library
 gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes the basic
 features of Exiv2 available to GNOME applications.
 .
 This package contains the shared library.

Package: gir1.2-gexiv2-0.10
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Breaks: gir1.2-gexiv2-0.4
Replaces: gir1.2-gexiv2-0.4
Multi-Arch: same
Description: GObject-based wrapper around the Exiv2 library - introspection data
 gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes the basic
 features of Exiv2 available to GNOME applications.
 .
 This package contains introspection data.

Package: libgexiv2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libgexiv2-2 (= ${binary:Version}),
         gir1.2-gexiv2-0.10 (= ${binary:Version}),
         libglib2.0-dev
Multi-Arch: foreign
Description: GObject-based wrapper around the Exiv2 library - development files
 gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes the basic
 features of Exiv2 available to GNOME applications.
 .
 This package contains the static library and header files.

Package: libgexiv2-2-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgexiv2-2 (= ${binary:Version})
Multi-Arch: same
Description: GObject-based wrapper around the Exiv2 library (debugging symbols)
 gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes the basic
 features of Exiv2 available to GNOME applications.
 .
 This package contains debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with autoreconf,gir --dbg-package=libgexiv2-2-dbg

override_dh_auto_configure:
	dh_auto_configure -- --enable-introspection --enable-static

override_dh_makeshlibs:
	dh_makeshlibs -V 'libgexiv2-2 (>= 0.10.3)'

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/tests/control ===
Tests: smoketest
Depends: libgexiv2-dev,
         build-essential

Tests: gir.smoketest
Depends: gir1.2-gexiv2-0.10,
         python-gi

## gexiv2 0.10.4

=== debian/changelog ===
gexiv2 (0.10.4-2) unstable; urgency=medium

  * Add patch 0004-get_orientation-Fix-abort-on-Minolta-meta-data.patch.
    Fixes an assertion when processing metadata from a not-rotated image
    from Minolta cameras. (Closes: #856101)

 -- Jason Crain <jason@inspiresomeone.us>  Sun, 26 Feb 2017 05:16:34 -0600

gexiv2 (0.10.4-1) unstable; urgency=medium

  * New upstream version 0.10.4
  * Make compile warnings nonfatal.  Add --disable-Werror to debian/rules
    override_dh_auto_configure.
  * Add fix-typelib-install-directory.patch from upstream.  The .typelib files
    were being installed in $(datadir)/gir-1.0.  This patch moves them to the
    correct location $(libdir)/girepository-1.0.
  * Add always-install-vapi-file.patch from upstream.  The .vapi file was only
    being installed when valac was present.  This patch causes the pre-built
    vapi file to be used when valac is not available.
  * Update to standards version 3.9.8
  * Switch to automatic dbgsym packages
  * Move from debhelper 9 to 10
    - Remove --parallel and --with autoreconf, they're default now
  * Enable hardening flags.  Add DEB_BUILD_MAINT_OPTIONS = hardening=+all.
  * Add linker flags -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
  * Remove shlibs:Depends for gir1.2-gexiv2-0.10.  There's no use for it when
    the package only contains python and typelib files and it causes a warning
    message.
  * Update debian/copyright.
    - Upstream has assigned copyright to SFC.
    - Add copyright of several new m4 macros.
    - Add comment clarifying origin of gexiv2-managed-stream.h.
  * Add debian/upstream/metadata
  * Remove Build-Depends on libtool-bin.  It's no longer necessary since
    upstream fixed their call to g-ir-scanner in
    https://bugzilla.gnome.org/765827.
  * Add debian/control VCS fields
  * Update debian/libgexiv2-2.symbols.
  * New maintainer (Closes: #755415)

 -- Jason Crain <jason@inspiresomeone.us>  Thu, 06 Oct 2016 14:39:18 +0000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: gexiv2
 Section: libs
 Priority: optional
-Maintainer: Luca Falavigna <dktrkranz@debian.org>
-Uploaders: Devid Antonio Filoni <d.filoni@ubuntu.com>
-Build-Depends: debhelper (>= 9),
+Maintainer: Jason Crain <jason@inspiresomeone.us>
+Build-Depends: debhelper (>= 10),
                dh-autoreconf,
-               libtool-bin,
                libglib2.0-dev,
                libexiv2-dev (>= 0.21),
                gobject-introspection,
                libgirepository1.0-dev,
                python-gi,
                python3-gi
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://wiki.gnome.org/Projects/gexiv2
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/gexiv2.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gexiv2.git
 
 Package: libgexiv2-2
 Architecture: any
@@ -32,7 +32,6 @@
 Section: introspection
 Architecture: any
 Depends: ${gir:Depends},
-         ${shlibs:Depends},
          ${misc:Depends}
 Breaks: gir1.2-gexiv2-0.4
 Replaces: gir1.2-gexiv2-0.4
@@ -56,17 +55,3 @@
  features of Exiv2 available to GNOME applications.
  .
  This package contains the static library and header files.
-
-Package: libgexiv2-2-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         libgexiv2-2 (= ${binary:Version})
-Multi-Arch: same
-Description: GObject-based wrapper around the Exiv2 library (debugging symbols)
- gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes the basic
- features of Exiv2 available to GNOME applications.
- .
- This package contains debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --with gir

override_dh_auto_configure:
	dh_auto_configure -- \
	    --enable-introspection \
	    --enable-static \
	    --disable-Werror

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_makeshlibs:
	dh_makeshlibs -V 'libgexiv2-2 (>= 0.10.3)'

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_strip:
	dh_strip --dbgsym-migration='libgexiv2-2-dbg (<< 0.10.4-1~)'

## gexiv2 0.10.6

=== debian/changelog ===
gexiv2 (0.10.6-1) unstable; urgency=medium

  * New upstream version 0.10.6
  * Add package libgexiv2-doc.  Contains GTK-Doc API documentation for
    libgexiv2.
  * Add patch Fix-documentation-typos.patch.  Fixes various typos in the API
    documentation.
  * Update debian/watch to version 4
  * Use DEP-14 branch names.  Add debian/gbp.conf to set branch defaults.
  * Drop upstreamed patches
  * Add Build-Depends on valac.  Ensures that the vapi files can be rebuilt.
  * Run wrap-and-sort
  * debian/control:
    - Remove obsolete versioned dependency, Breaks, and Replaces.
    - Update Standards-Version to 4.0.0.
    - Remove Build-Depends on dh-autoreconf.  It's included with debhelper 10.
    - Change libgexiv2-dev from Multi-Arch foreign to same.
    - libgexiv2-dev: Add Depends on libexiv2-dev.  This version's pkg-config
      file added exiv2 to Requires.private so now it will not work without
      libexiv2-dev installed.
  * Update symbols file:
    - Add new symbol and remove private symbols which upstream has marked as
      hidden.
    - Dynamically associate C++ symbols with current version.  These are
      private symbols and not part of the ABI.  Dynamically generate a symbols
      file giving all of them the current library version.  This prevents new
      C++ symbols from causing warnings.
  * Update debian/copyright.  Update copyrights and change Format to use https
    url.

 -- Jason Crain <jason@inspiresomeone.us>  Tue, 27 Jun 2017 21:23:51 -0500

=== debian/control ===
Source: gexiv2
Section: libs
Priority: optional
Maintainer: Jason Crain <jason@inspiresomeone.us>
Build-Depends: debhelper (>= 10),
               gobject-introspection,
               gtk-doc-tools,
               libexiv2-dev,
               libgirepository1.0-dev,
               libglib2.0-dev,
               libglib2.0-doc,
               python-gi,
               python3-gi,
               valac
Standards-Version: 4.0.0
Homepage: https://wiki.gnome.org/Projects/gexiv2
Vcs-Git: https://anonscm.debian.org/git/collab-maint/gexiv2.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gexiv2.git

Package: libgexiv2-2
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: GObject-based wrapper around the Exiv2 library
 gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes the basic
 features of Exiv2 available to GNOME applications.
 .
 This package contains the shared library.

Package: gir1.2-gexiv2-0.10
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}
Multi-Arch: same
Description: GObject-based wrapper around the Exiv2 library - introspection data
 gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes the basic
 features of Exiv2 available to GNOME applications.
 .
 This package contains introspection data.

Package: libgexiv2-dev
Section: libdevel
Architecture: any
Depends: gir1.2-gexiv2-0.10 (= ${binary:Version}),
         libexiv2-dev,
         libgexiv2-2 (= ${binary:Version}),
         libglib2.0-dev,
         ${misc:Depends}
Multi-Arch: same
Suggests: libgexiv2-doc
Description: GObject-based wrapper around the Exiv2 library - development files
 gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes the basic
 features of Exiv2 available to GNOME applications.
 .
 This package contains the static library and header files.

Package: libgexiv2-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: GObject-based wrapper around the Exiv2 library - documentation
 gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes the basic
 features of Exiv2 available to GNOME applications.
 .
 This package contains the API documentation.

=== debian/rules ===
--- 
+++ 
@@ -2,12 +2,19 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
+
+include /usr/share/dpkg/pkg-info.mk
+
+# symbols.in files & their "generated" file names
+SYMBOLS_in := $(wildcard debian/*.symbols.in)
+SYMBOLS_generated := $(patsubst %.in,%,$(SYMBOLS_in))
 
 %:
 	dh $@ --with gir
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+	    --enable-gtk-doc \
 	    --enable-introspection \
 	    --enable-static \
 	    --disable-Werror
@@ -15,8 +22,11 @@
 override_dh_autoreconf:
 	dh_autoreconf --as-needed
 
-override_dh_makeshlibs:
+override_dh_makeshlibs: $(SYMBOLS_generated)
 	dh_makeshlibs -V 'libgexiv2-2 (>= 0.10.3)'
+
+debian/%.symbols: debian/%.symbols.in
+	sed -e 's/#CURVER#/$(DEB_VERSION_UPSTREAM)/g' $^ > $@
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS

=== debian/watch ===
version=4
http://ftp.gnome.org/pub/gnome/sources/gexiv2/([\d\.]+[02468])/gexiv2-([\d\.]+)\.tar\.xz

## gexiv2 0.10.8

=== meson_options.txt ===
option('enable-gtk-doc', type: 'boolean', value: false, description: 'Enable generating the API reference (depends on GTK-Doc)')
option('disable-introspection', type: 'boolean', value : false, description: 'Disable GObject Introspection')
option('disable-vala', type: 'boolean', value: false, description: 'Disable generation of vala vapi file')
option('python2-girdir', type: 'string', value : 'auto', description : 'Installation dir for PyGObject2 overrides')
option('python3-girdir', type: 'string', value : 'auto', description : 'Installation dir for PyGObject3 overrides')

=== debian/changelog ===
gexiv2 (0.10.8-1) unstable; urgency=medium

  * New upstream version 0.10.8
  * Drop Fix-documentation-typos.patch: applied upstream
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.1.3. No changes needed.
  * Update symbols file
  * Build with meson. Static library is no longer built.
  * Update d/watch URL
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Add lintian override for python-package-missing-depends-on-python.  The
    gir1.2-gexiv2-0.10 package contains gobject-introspection files and
    includes overrides for both Python 2 and 3.  It cannot declare a
    dependency on Python because it's possible to use the introspection files
    from Python 2, or 3, or many other languages.

 -- Jason Crain <jason@inspiresomeone.us>  Tue, 27 Feb 2018 11:09:33 -0600

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,21 @@
 Section: libs
 Priority: optional
 Maintainer: Jason Crain <jason@inspiresomeone.us>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                gobject-introspection,
                gtk-doc-tools,
                libexiv2-dev,
                libgirepository1.0-dev,
                libglib2.0-dev,
                libglib2.0-doc,
+               meson,
                python-gi,
                python3-gi,
                valac
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: https://wiki.gnome.org/Projects/gexiv2
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/gexiv2.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gexiv2.git
+Vcs-Git: https://salsa.debian.org/debian/gexiv2.git
+Vcs-Browser: https://salsa.debian.org/debian/gexiv2
 
 Package: libgexiv2-2
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

include /usr/share/dpkg/pkg-info.mk

# symbols.in files & their "generated" file names
SYMBOLS_in := $(wildcard debian/*.symbols.in)
SYMBOLS_generated := $(patsubst %.in,%,$(SYMBOLS_in))

%:
	dh $@ --with gir --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
	    -Denable-gtk-doc=true

override_dh_makeshlibs: $(SYMBOLS_generated)
	dh_makeshlibs

debian/%.symbols: debian/%.symbols.in
	sed -e 's/#CURVER#/$(DEB_VERSION_UPSTREAM)/g' $^ > $@

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_strip:
	dh_strip --dbgsym-migration='libgexiv2-2-dbg (<< 0.10.4-1~)'

## gexiv2 0.10.9

=== debian/changelog ===
gexiv2 (0.10.9-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP

  [ Jason Crain ]
  * New upstream version 0.10.9
    - Avoids absolute build path in header file to make the build
      reproducible. (Closes: #891897)
  * Update d/copyright
  * Use static d/libgexiv2-2.symbols file.
    This was generated at build-time to automatically mark leaked C++
    symbols as optional. Changes to the build system have stopped leaking
    these symbols, so this is no longer necessary.
  * Bump Standards-Version to 4.2.1
  * Disable debhelper's autoreconf sequence.
    The upstream tarball was built without full autotools support, causing
    debhelper's autoreconf step to fail. The autoreconf is unnecessary since
    we build through meson, so disable it.
  * Remove d/source/options.
    The high compression level specified in this file causes a lintian
    warning stating that a high compression level may cause excessive memory
    usage.
  * Update d/upstream/metadata.
    Update URLs for GNOME's transition to gitlab.

 -- Jason Crain <jason@inspiresomeone.us>  Thu, 29 Nov 2018 15:53:53 -0700

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python-gi,
                python3-gi,
                valac
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: https://wiki.gnome.org/Projects/gexiv2
 Vcs-Git: https://salsa.debian.org/debian/gexiv2.git
 Vcs-Browser: https://salsa.debian.org/debian/gexiv2

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gir --buildsystem=meson --without autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
	    -Denable-gtk-doc=true

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_strip:
	dh_strip --dbgsym-migration='libgexiv2-2-dbg (<< 0.10.4-1~)'

## gexiv2 0.12.0

=== debian/changelog ===
gexiv2 (0.12.0-2) unstable; urgency=medium

  * Drop patch Use-exiv2-version-0.25.patch.
    Exiv2 version 0.27 is now in Debian unstable. Drop this patch so gexiv2
    can build against it. (Closes: #942519, #950169)
  * Update Standards-Version to 4.5.0.
    No changes necessary.

 -- Jason Crain <jason@inspiresomeone.us>  Sun, 02 Feb 2020 04:29:42 -0700

gexiv2 (0.12.0-1) unstable; urgency=medium

  * New upstream version 0.12.0
  * Update d/copyright
    * Add gexiv2 mailing list to Upstream-Contact.
  * Update d/rules
    * Remove dbgsym migration code since migration is complete.
    * No longer need to specify meson build system since autotools build was
      removed.
    * Renamed enable-gtk-doc option to gtk_doc.
  * Update d/control
    * Bump debhelper level to 12.
    * Switch to the 'debhelper-compat' dependency style. Remove the d/compat
      file.
    * Update Standards-Version to 4.4.1 No changes necessary.
    * Add Rules-Requires-Root: no
  * Update symbols
  * Dynamically generate d/libgexiv2-2.symbols.
    Upstream removed the script which kept C++ symbols from being exported due
    to regressions on OpenBSD (https://gitlab.gnome.org/GNOME/gexiv2/issues/27).
    Mark all C++ symbols as optional since these aren't part of the API.
  * Use 'python3' instead of 'python' in autopkgtest.
    Thanks to Matthias Klose (Closes: #943447)
  * Install /usr/share/vala/vapi/gexiv2.deps.
    This file tells vala about dependencies.
  * Add patch Use-exiv2-version-0.25.patch.
    This modifies gexiv2 to use exiv2 version 0.25, the version currently in
    Debian unstable. Upstream is set to use exiv2 version 0.26 or later,
    which is only currently available in Debian experimental.

 -- Jason Crain <jason@inspiresomeone.us>  Fri, 01 Nov 2019 02:59:35 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Jason Crain <jason@inspiresomeone.us>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                gobject-introspection,
                gtk-doc-tools,
                libexiv2-dev,
@@ -13,7 +13,8 @@
                python-gi,
                python3-gi,
                valac
-Standards-Version: 4.2.1
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Homepage: https://wiki.gnome.org/Projects/gexiv2
 Vcs-Git: https://salsa.debian.org/debian/gexiv2.git
 Vcs-Browser: https://salsa.debian.org/debian/gexiv2

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

include /usr/share/dpkg/pkg-info.mk

# symbols.in files & their "generated" file names
SYMBOLS_in := $(wildcard debian/*.symbols.in)
SYMBOLS_generated := $(patsubst %.in,%,$(SYMBOLS_in))

%:
	dh $@ --with gir

override_dh_auto_configure:
	dh_auto_configure -- \
	    -Dgtk_doc=true

override_dh_makeshlibs: $(SYMBOLS_generated)
	dh_makeshlibs

debian/%.symbols: debian/%.symbols.in
	sed -e 's/#CURVER#/$(DEB_VERSION_UPSTREAM)/g' $^ > $@

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/tests/control ===
--- 
+++ 
@@ -4,4 +4,4 @@
 
 Tests: gir.smoketest
 Depends: gir1.2-gexiv2-0.10,
-         python-gi
+         python3-gi

## gexiv2 0.12.1

=== meson_options.txt ===
option('gtk_doc', type: 'boolean', value: false, description: 'Enable or disable generating the API reference (depends on GTK-Doc)')
option('introspection', type: 'boolean', value : true, description: 'Enable or disable GObject Introspection')
option('vapi', type: 'boolean', value: true, description: 'Enable or disable generation of vala vapi file')
option('tools', type: 'boolean', value: true, description: 'Enable or disable building the commandline tools')
option('python2_girdir', type: 'string', value : 'auto', description : 'Installation dir for PyGObject2 overrides (default = auto, no disables python2)')
option('python3_girdir', type: 'string', value : 'auto', description : 'Installation dir for PyGObject3 overrides (default = auto, no disables python3)')

=== debian/changelog ===
gexiv2 (0.12.1-1) unstable; urgency=medium

  * Update d/copyright
  * Remove python2 dependency.
    Remove the override file for the python2 bindings because python2
    support is being phased out. (Closes: #943093, #960711)
  * Update symbols
  * Remove "-Wl,--as-needed" linker flag.
    The bullseye toolchain defaults to linking with as-needed so this is no
    longer necessary.
  * Update debhelper-compat to 13

 -- Jason Crain <jason@inspiresomeone.us>  Mon, 08 Jun 2020 20:47:04 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Jason Crain <jason@inspiresomeone.us>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                gobject-introspection,
                gtk-doc-tools,
                libexiv2-dev,
@@ -10,7 +10,6 @@
                libglib2.0-dev,
                libglib2.0-doc,
                meson,
-               python-gi,
                python3-gi,
                valac
 Rules-Requires-Root: no

## gexiv2 0.14.0

=== meson_options.txt ===
option('gtk_doc', type: 'boolean', value: false, description: 'Enable or disable generating the API reference (depends on GTK-Doc)')
option('introspection', type: 'boolean', value : true, description: 'Enable or disable GObject Introspection')
option('vapi', type: 'boolean', value: true, description: 'Enable or disable generation of vala vapi file')
option('tools', type: 'boolean', value: true, description: 'Enable or disable building the commandline tools')
option('python3_girdir', type: 'string', value : 'auto', description : 'Installation dir for PyGObject3 overrides (default = auto)')
option('python3', type: 'boolean', value : true, description : 'Enable or disable using Python 3 (and PyGObject module)')

=== debian/changelog ===
gexiv2 (0.14.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 14 Dec 2024 14:44:29 -0800

gexiv2 (0.14.0-1) unstable; urgency=medium

  [ Jason Crain ]
  * New upstream version 0.14.0 (Closes: #994628)
  * Update d/copyright
  * Update symbols
  * Update Standards-Version to 4.6.0.1
  * Upstream Metadata: remove Homepage field.
    This field is not part of the DEP-12 specification.

  [ Laurent Bigonville ]
  * Move the package under the Debian GNOME team umbrella.
    Use the gnome sequence to generate the debian/control file
  * debian/gbp.conf: Use the same file as the other GNOME packages

 -- Laurent Bigonville <bigon@debian.org>  Mon, 18 Oct 2021 22:07:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,15 @@
+# This file is autogenerated. DO NOT EDIT!
+#
+# Modifications should be made to debian/control.in instead.
+# This file is regenerated automatically in the clean target.
 Source: gexiv2
 Section: libs
 Priority: optional
-Maintainer: Jason Crain <jason@inspiresomeone.us>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jason Crain <jason@inspiresomeone.us>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gnome,
                gobject-introspection,
                gtk-doc-tools,
                libexiv2-dev,
@@ -13,10 +20,10 @@
                python3-gi,
                valac
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 Homepage: https://wiki.gnome.org/Projects/gexiv2
-Vcs-Git: https://salsa.debian.org/debian/gexiv2.git
-Vcs-Browser: https://salsa.debian.org/debian/gexiv2
+Vcs-Git: https://salsa.debian.org/gnome-team/gexiv2.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/gexiv2
 
 Package: libgexiv2-2
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs
 
 include /usr/share/dpkg/pkg-info.mk
 
@@ -24,3 +24,8 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym

=== debian/tests/control ===
Tests: smoketest
Depends: build-essential, libgexiv2-dev

Tests: gir.smoketest
Depends: gir1.2-gexiv2-0.10, python3-gi

## gexiv2 0.14.1

=== debian/changelog ===
gexiv2 (0.14.1-1) unstable; urgency=medium

  * Team upload

  [ Amin Bandali ]
  * New upstream release
    - Clean-up python support
    - Drop python2 support
    - Add option for building tests
    - Only run python tests when python is enabled
    - Fix get_gps_info() return data with unset altitude
      (https://gitlab.gnome.org/GNOME/gexiv2/-/issues/72)
    - Fix generate_xmp_packet() ignoring its parameters
      (https://gitlab.gnome.org/GNOME/gexiv2/issues/69)
    - Fix gexiv2-tool to call initialize()
    - Fix crash when calling gexiv2_metadata_set_tag_multiple with empty
      list (https://gitlab.gnome.org/GNOME/gexiv2/issues/70)

  [ Jeremy Bícha ]
  * Build-Depend on dh-sequence-gir
  * debian/rules: Run build tests
  * Update debian/upstream/metadata

 -- Amin Bandali <bandali@ubuntu.com>  Thu, 18 May 2023 09:50:19 -0400

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,11 @@
 Source: gexiv2
 Section: libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jason Crain <jason@inspiresomeone.us>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gir,
                dh-sequence-gnome,
-               gobject-introspection,
                gtk-doc-tools,
                libexiv2-dev,
                libgirepository1.0-dev,

## gexiv2 0.14.2

=== debian/changelog ===
gexiv2 (0.14.2-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:06:57 +0000

gexiv2 (0.14.2-2build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:40:12 +0000

gexiv2 (0.14.2-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:29:30 +0000

gexiv2 (0.14.2-2) unstable; urgency=medium

  * Revert "Set DEB_PYTHON_INSTALL_LAYOUT=deb to work around bug 1041537"
  * Revert "debian/rules: Don't install pycache files"
    Those changes aren't needed after debhelper 13.11.5
  * debian/copyright: trivial update

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 15 Aug 2023 10:09:43 -0400

gexiv2 (0.14.2-1) unstable; urgency=medium

  * New upstream release
  * Set DEB_PYTHON_INSTALL_LAYOUT=deb to work around bug 1041537
    (Closes: #1042112)
  * debian/rules: Don't install pycache files
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 27 Jul 2023 14:34:21 +0300

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: gexiv2
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jason Crain <jason@inspiresomeone.us>, Laurent Bigonville <bigon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jason Crain <jason@inspiresomeone.us>, Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -19,7 +20,7 @@
                python3-gi,
                valac
 Rules-Requires-Root: no
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Homepage: https://wiki.gnome.org/Projects/gexiv2
 Vcs-Git: https://salsa.debian.org/gnome-team/gexiv2.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/gexiv2

## gexiv2 0.14.3

=== debian/changelog ===
gexiv2 (0.14.3-1build1) plucky; urgency=medium

  * No-change rebuild for libexiv2

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 01 Nov 2024 12:01:15 +0000

gexiv2 (0.14.3-1) unstable; urgency=medium

  * New upstream release
  * Stop using debian/control.in and dh-sequence-gnome

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 28 Jun 2024 16:18:21 -0400

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,10 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: gexiv2
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jason Crain <jason@inspiresomeone.us>, Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
-               dh-sequence-gnome,
                gtk-doc-tools,
                libexiv2-dev,
                libgirepository1.0-dev,

## gexiv2 0.14.6

=== meson_options.txt ===
option('tests', type: 'boolean', value: false, description: 'Enable or disable building tests')
option('gtk_doc', type: 'boolean', value: false, description: 'Enable or disable generating the API reference (depends on GTK-Doc)')
option('introspection', type: 'boolean', value : true, description: 'Enable or disable GObject Introspection')
option('vapi', type: 'boolean', value: true, description: 'Enable or disable generation of vala vapi file')
option('tools', type: 'boolean', value: true, description: 'Enable or disable building the commandline tools')
option('python3', type: 'boolean', value : true, description : 'Enable or disable using Python 3 (and PyGObject module)')

=== debian/changelog ===
gexiv2 (0.14.6-2) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Add missing gir1.2-*-dev B-D as reported by dh_girepository
  * d/control: Replace libgirepository1.0-dev B-D with
    gobject-introspection
  * d/control, d/rules: Don't require gtk-doc when not building -doc
    package
  * d/control: Add ${gir:Depends}, ${gir:Provides} to -dev package
  * d/copyright: Don't quote the FSF's former postal address here
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie
  * d/control: Standards-Version: 4.7.2 (no changes required)
  * d/salsa-ci.yml: Add

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Sep 2025 07:18:14 -0400

gexiv2 (0.14.6-1) unstable; urgency=medium

  [ Simon McVittie ]
  * New upstream stable release
    - Fix get_tag_multiple for tags that have LangAlt and contain ","
    - Fix a memory leak when calling open_* multiple times on the same
      Metadata object
    - Relicense GExiv2.py from LGPL-2.1-or-later to GPL-2.0-or-later,
      matching most of the other code
    - Windows symbol export control not relevant in Debian
    - CI changes not relevant in Debian
  * d/copyright: Update
  * d/gbp.conf, d/watch: Only watch for 0.14.x versions.
    0.15.x includes API/ABI breaks and will need a transition, and
    probably a separate parallel-installable gexiv2-0.16 source package.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 13 Aug 2025 05:17:54 -0400

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,17 @@
 Uploaders: Jason Crain <jason@inspiresomeone.us>, Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
-               gtk-doc-tools,
+               gir1.2-gio-2.0-dev,
+               gir1.2-gobject-2.0-dev,
+               gobject-introspection (>= 1.80),
                libexiv2-dev,
-               libgirepository1.0-dev,
                libglib2.0-dev,
-               libglib2.0-doc,
                meson,
                python3-gi,
                valac
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Build-Depends-Indep: gtk-doc-tools <!nodoc>,
+                     libglib2.0-doc <!nodoc>,
+Standards-Version: 4.7.2
 Homepage: https://wiki.gnome.org/Projects/gexiv2
 Vcs-Git: https://salsa.debian.org/gnome-team/gexiv2.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/gexiv2
@@ -48,7 +49,9 @@
          libexiv2-dev,
          libgexiv2-2 (= ${binary:Version}),
          libglib2.0-dev,
+         ${gir:Depends},
          ${misc:Depends}
+Provides: ${gir:Provides},
 Multi-Arch: same
 Suggests: libgexiv2-doc
 Description: GObject-based wrapper around the Exiv2 library - development files
@@ -58,6 +61,7 @@
  This package contains the static library and header files.
 
 Package: libgexiv2-doc
+Build-Profiles: <!nodoc>
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs

include /usr/share/dpkg/pkg-info.mk

built_binaries := $(shell dh_listpackages)

# symbols.in files & their "generated" file names
SYMBOLS_in := $(wildcard debian/*.symbols.in)
SYMBOLS_generated := $(patsubst %.in,%,$(SYMBOLS_in))

%:
	dh $@

configure_flags = \
	-Dtests=true \
	$(NULL)

ifeq ($(filter %-doc,$(built_binaries)),)
configure_flags += -Dgtk_doc=false
else
configure_flags += -Dgtk_doc=true
endif

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags)

override_dh_makeshlibs: $(SYMBOLS_generated)
	dh_makeshlibs

debian/%.symbols: debian/%.symbols.in
	sed -e 's/#CURVER#/$(DEB_VERSION_UPSTREAM)/g' $^ > $@

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/tests/control ===
Tests: smoketest
Depends: libgexiv2-dev,
         build-essential
Restrictions: superficial

Tests: gir.smoketest
Depends: gir1.2-gexiv2-0.10,
         python3-gi
Restrictions: superficial

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/@PACKAGE@/cache.json \
	0.14/@PACKAGE@-([\d.]+)@ARCHIVE_EXT@
